

# GetIntegration
<a name="API_GetIntegration"></a>

Retrieves information about an integration.

## Request Syntax
<a name="API_GetIntegration_RequestSyntax"></a>

```
POST /GetIntegration HTTP/1.1
Content-type: application/json

{
   "integrationId": "string"
}
```

## URI Request Parameters
<a name="API_GetIntegration_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetIntegration_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [integrationId](#API_GetIntegration_RequestSyntax) **   <a name="securityagent-GetIntegration-request-integrationId"></a>
The unique identifier of the integration to retrieve.  
Type: String  
Required: Yes

## Response Syntax
<a name="API_GetIntegration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "displayName": "string",
   "installationId": "string",
   "integrationId": "string",
   "kmsKeyId": "string",
   "provider": "string",
   "providerType": "string"
}
```

## Response Elements
<a name="API_GetIntegration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [displayName](#API_GetIntegration_ResponseSyntax) **   <a name="securityagent-GetIntegration-response-displayName"></a>
The display name of the integration.  
Type: String

 ** [installationId](#API_GetIntegration_ResponseSyntax) **   <a name="securityagent-GetIntegration-response-installationId"></a>
The installation identifier from the integration provider.  
Type: String

 ** [integrationId](#API_GetIntegration_ResponseSyntax) **   <a name="securityagent-GetIntegration-response-integrationId"></a>
The unique identifier of the integration.  
Type: String

 ** [kmsKeyId](#API_GetIntegration_ResponseSyntax) **   <a name="securityagent-GetIntegration-response-kmsKeyId"></a>
The identifier of the AWS KMS key used to encrypt data associated with the integration.  
Type: String

 ** [provider](#API_GetIntegration_ResponseSyntax) **   <a name="securityagent-GetIntegration-response-provider"></a>
The integration provider.  
Type: String  
Valid Values: `GITHUB` 

 ** [providerType](#API_GetIntegration_ResponseSyntax) **   <a name="securityagent-GetIntegration-response-providerType"></a>
The type of the integration provider.  
Type: String  
Valid Values: `SOURCE_CODE | DOCUMENTATION` 

## Errors
<a name="API_GetIntegration_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during the processing of your request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.  
HTTP Status Code: 400

## See Also
<a name="API_GetIntegration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/GetIntegration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/GetIntegration) 